using System;
using System.Runtime.Serialization;

namespace VKontakte
{
	[Serializable]
	public class AuthorizationFailedException : Exception
	{
		public AuthorizationFailedException()
		{
		}

		public AuthorizationFailedException(string message)
			: base(message)
		{
		}

		public AuthorizationFailedException(string message, Exception inner)
			: base(message, inner)
		{
		}

		protected AuthorizationFailedException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
	}
}
